org.springframework.cloud.dataflow.server.controller

## Class RuntimeStreamsController

- java.lang.Object
- - org.springframework.cloud.dataflow.server.controller.RuntimeStreamsController

-     @RestController
       @RequestMapping(value="/runtime/streams")
       @ExposesResourceFor(value=StreamStatusResource.class)
      public class RuntimeStreamsController
      extends Object

  Author:
    Christian Tzolov, Ilayaperumal Gopinathan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeStreamsController(StreamDeployer streamDeployer)` Construct a new runtime apps controller.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.hateoas.PagedModel<StreamStatusResource>` | `status(String[] names, org.springframework.data.domain.Pageable pageable, org.springframework.data.web.PagedResourcesAssembler<org.springframework.data.util.Pair<String,List<org.springframework.cloud.deployer.spi.app.AppStatus>>> assembler)`
    `org.springframework.hateoas.PagedModel<StreamStatusResource>` | `streamStatus(String[] streamNames, org.springframework.data.domain.Pageable pageable, org.springframework.data.web.PagedResourcesAssembler<org.springframework.data.util.Pair<String,List<org.springframework.cloud.deployer.spi.app.AppStatus>>> assembler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeStreamsController

          public RuntimeStreamsController(StreamDeployer streamDeployer)

      Construct a new runtime apps controller.
      Parameters:
        `streamDeployer` - the deployer this controller will use to get the status of deployed stream apps

  - ### Method Detail

    - #### status

          @RequestMapping(method=GET)
          public org.springframework.hateoas.PagedModel<StreamStatusResource> status(@RequestParam(value="names",required=false)
                                                                                                                 String[] names,
                                                                                                                 org.springframework.data.domain.Pageable pageable,
                                                                                                                 org.springframework.data.web.PagedResourcesAssembler<org.springframework.data.util.Pair<String,List<org.springframework.cloud.deployer.spi.app.AppStatus>>> assembler)

      Parameters:
        `pageable` - the page
        `assembler` - the resource assembler
      Returns:
        a paged model for stream statuses

    - #### streamStatus

          @RequestMapping(value="/{streamNames}",
                          method=GET)
          public org.springframework.hateoas.PagedModel<StreamStatusResource> streamStatus(@PathVariable(value="streamNames")
                                                                                                                                                               String[] streamNames,
                                                                                                                                                               org.springframework.data.domain.Pageable pageable,
                                                                                                                                                               org.springframework.data.web.PagedResourcesAssembler<org.springframework.data.util.Pair<String,List<org.springframework.cloud.deployer.spi.app.AppStatus>>> assembler)

      Parameters:
        `streamNames` - comma separated list of streams to retrieve the statuses for

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.